Update an existing Chip catalog entry
curl --request PUT \
--url https://api.raul.ugps.io/api/v1/catalogs/chips/{chipId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone": "<string>",
"imsi": "<string>",
"endpointId": 123,
"endpointName": "<string>",
"statusId": 123,
"statusDescription": "<string>",
"ipAddress": "<string>",
"tariffId": 123,
"tariffName": "<string>",
"serviceProfileId": 123,
"simBatchId": 123,
"operator": "<string>",
"networkType": "<string>"
}
'import requests
url = "https://api.raul.ugps.io/api/v1/catalogs/chips/{chipId}"
payload = {
"phone": "<string>",
"imsi": "<string>",
"endpointId": 123,
"endpointName": "<string>",
"statusId": 123,
"statusDescription": "<string>",
"ipAddress": "<string>",
"tariffId": 123,
"tariffName": "<string>",
"serviceProfileId": 123,
"simBatchId": 123,
"operator": "<string>",
"networkType": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phone: '<string>',
imsi: '<string>',
endpointId: 123,
endpointName: '<string>',
statusId: 123,
statusDescription: '<string>',
ipAddress: '<string>',
tariffId: 123,
tariffName: '<string>',
serviceProfileId: 123,
simBatchId: 123,
operator: '<string>',
networkType: '<string>'
})
};
fetch('https://api.raul.ugps.io/api/v1/catalogs/chips/{chipId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"syncedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"phone": {},
"iccid": {},
"imsi": {},
"endpointId": {},
"endpointName": {},
"statusId": {},
"statusDescription": {},
"ipAddress": {},
"tariffId": {},
"tariffName": {},
"serviceProfileId": {},
"simBatchId": {},
"activationDate": {},
"lastConnection": {},
"operator": {},
"networkType": {},
"endpointInfoUpdatedAt": {}
}Catalogs
Update an existing Chip catalog entry
Operacion: Update an existing Chip catalog entry.
PUT
/
api
/
v1
/
catalogs
/
chips
/
{chipId}
Update an existing Chip catalog entry
Authorizations
Bearer token authentication
Path Parameters
Chip ID to update
Body
application/json
Phone number
IMSI (International Mobile Subscriber Identity)
Endpoint ID in Emnify
Endpoint name in Emnify
Status ID
Status description
IP address
Tariff ID
Tariff name
Service profile ID
SIM batch ID
Operator name
Network type
Response
Unique identifier
Last sync date
Creation date
Last update date
Phone number
ICCID (SIM card identifier)
IMSI (International Mobile Subscriber Identity)
Endpoint ID in Emnify
Endpoint name in Emnify
Status ID
Status description
IP address
Tariff ID
Tariff name
Service profile ID
SIM batch ID
Activation date
Last connection date
Operator name
Network type (2G, 3G, 4G, etc.)
Endpoint info last update
⌘I